Page MenuHomePhabricator

Add talk button to AMC main page
Closed, ResolvedPublic

Description

Background

In T214724: Remove AMC Article/Talk tabs from Main page we removed the tabs for the article and talk pages from AMC mode for the main page. However, we would still like to have a way for users to access the talk page for the main page while in AMC mode. We would like to add the talk page button to the bottom of the page, as it is currently in non-AMC mode

Note: it is currently unclear if the "Read in another language" also got removed, or if it just isn't showing on Staging. We need to verify whether or not it's there. If it's missing we should add it back. JR: This appears to be working fine - staging was just not setup correctly.

Acceptance criteria

  • Add discussion button to main page while in AMC mode

QA

In AMC mode:

  • There is no tabs on the main page
  • There is a discussion button on the main page
  • On the Talk:Main Page page there are no tabs
  • On the bottom of the main page talk page is a link to the main page
  • On any non-main page there are tabs.

In logged in non-AMC mode

  • There is no tabs on the main page
  • There is a discussion button on the main page
  • On the talk page there are no tabs
  • On the bottom of the talk page is a link to the main page

IN anon:

  • There are no tabs or button to talk page on the main page.

QA Results

StatusDetails))
✅ PassedT216514#4970735

QA Results: Production

ACESARIDDetails))
1.1T216514#5051317
1.2T216514#5051317
1.3T216514#5051317
1.4T216514#5051317
2.1T216514#5051317
2.2T216514#5051317
2.3T216514#5051317
3T216514#5051317

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2019, 3:31 PM
alexhollender renamed this task from Add talk page button to AMC main page to Add Talk (and possibly Language) button to AMC main page.Feb 19 2019, 4:28 PM
alexhollender updated the task description. (Show Details)

Since we rushed into removing this we should take some time to work out how this shows bearing in mind the following:

  • for any new kind of treatment we would be adding tech debt and special handling for yet another combination. We also need to ensure we remember/ QA this combination
  • when we change UI in different contexts that might not be clear to user and cause confusion. We have this problem with language button on main page.. people don't understand why it's at the bottom and consider this a bug.
  • editors need to easily get from Talk:Main page to Main page as well as main page to talk...

What are the pros/cons of these solutions?:

  • restore the tabs?
  • add button at bottom of page
  • restore tabs with different styling
Jdlrobson renamed this task from Add Talk (and possibly Language) button to AMC main page to Add talk button to AMC main page.Feb 19 2019, 4:56 PM

I've linked another language to https://reading-web-staging.wmflabs.org/w/index.php?title=Main_Page and I see the language button on AMC mode so this is working fine.

Jdlrobson updated the task description. (Show Details)Feb 19 2019, 5:02 PM
Jdlrobson updated the task description. (Show Details)Feb 19 2019, 6:39 PM

@Jdlrobson thanks for investigating the language button issue. I think we should treat the main page as an AMC exception, in that it acts as it would in non-AMC mode. This should give us what we're looking for:

  • no Article/Talk tab
  • Talk + Languages button at bottom of the page

Change 491655 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Talk is at bottom of main page

https://gerrit.wikimedia.org/r/491655

Jdlrobson updated the task description. (Show Details)Feb 19 2019, 11:52 PM

editors need to easily get from Talk:Main page to Main page as well as main page to talk...

I had a go at implementing this per spec. While not easy it's possible to navigate between the two pages. The code is beginning to feel a bit messy but it appears doable.

@Jdlrobson I don't feel like it's worth it to make special accommodations for the talk page experience of the Main page in AMC mode. They will have the same ability as in non-AMC mode to navigate back from the talk page. Perhaps it makes more sense to wait and see if people request this?

Change 491655 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Talk is at bottom of main page

https://gerrit.wikimedia.org/r/491655

See T214724#4969881! Please test on RWS

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome DevTools Device Emulator (iPhone X)

Test Artifact(s):

In AMC Mode:

  • There are no tabs on the main page
  • There is a discussion button on the main page

http://readingwebstaging.wmflabs.org/wiki/Main_Page

  • On the Talk:Main Page page there are no tabs

http://readingwebstaging.wmflabs.org/wiki/Talk:Main_Page

  • On the bottom of the main page talk page is a link to the main page

  • On any non-main page there are tabs.

http://readingwebstaging.wmflabs.org/wiki/ONLY_ALEX_CAN_EDIT_THIS#/random
EXTRA POINTS FOR THIS PAGE EXISTING!

In logged in non-AMC mode

  • There are no tabs on the main page
  • There is a discussion button on the main page

http://readingwebstaging.wmflabs.org/wiki/Main_Page

  • On the talk page there are no tabs

http://readingwebstaging.wmflabs.org/wiki/Talk:Main_Page

  • On the bottom of the talk page is a link to the main page

IN anon:

  • There are no tabs or button to talk page on the main page.


Edtadros reassigned this task from Edtadros to ovasileva.Feb 21 2019, 6:34 AM
Edtadros updated the task description. (Show Details)
Edtadros added a subscriber: Edtadros.
ovasileva closed this task as Resolved.Feb 21 2019, 9:06 AM

Whoo!!

ovasileva updated the task description. (Show Details)Feb 21 2019, 9:06 AM
Edtadros added a comment.EditedMar 24 2019, 3:09 AM

Test Results: Production

Status: In Progress
OS: iOS
Browser: Chrome (iPhoneXS Max)

Test Artifact(s):

In AMC Mode:

AC1.1
There are no tabs on the main page
There is a discussion button on the main page
/wiki/Main_Page

eswiki: ✅arwiki: ✅idwiki: ✅

AC1.2
On the Talk:Main Page page there are no tabs
/wiki/Talk:Main_Page

eswiki: ❓arwiki: ✅idwiki: ✅
T216514#5051333

AC1.3
On the bottom of the main page talk page is a link to the main page

eswiki: ❓arwiki: ✅idwiki: ✅
T216514#5051333

AC1.4
On any non-main page there are tabs.
/random

eswiki: ✅arwiki: ✅idwiki: ✅

In logged in non-AMC mode
AC2.1
There are no tabs on the main page
There is a discussion button on the main page
/wiki/Main_Page

eswiki: ✅arwiki: ✅idwiki: ✅

AC2.2
On the talk page there are no tabs
/wiki/Talk:Main_Page

eswiki: ❓arwiki: ✅idwiki: ✅
T216514#5051333

AC2.3
On the bottom of the talk page is a link to the main page

eswiki: ❓arwiki: ✅idwiki: ✅
T216514#5051333

IN anon:
AC3
There are no tabs or button to talk page on the main page.

eswiki: ✅arwiki: ✅idwiki: ✅

@ovasileva I only tested this in eswiki so far. I have it set up for the other wikis. The Talk:Main_Page is missing. However, my spidey sense tells me that for eswiki it could be:

https://es.m.wikipedia.org/wiki/Discusi%C3%B3n:Portada

Here's what I see with AMC ON:

and with AMC OFF:

Edtadros updated the task description. (Show Details)Mar 24 2019, 4:12 AM

@ovasileva I only tested this in eswiki so far. I have it set up for the other wikis. The Talk:Main_Page is missing. However, my spidey sense tells me that for eswiki it could be:

https://es.m.wikipedia.org/wiki/Discusi%C3%B3n:Portada

Here's what I see with AMC ON:

and with AMC OFF:

with AMC off, the talk button should be available at the bottom of the page. For the main page, it sends me here: https://es.m.wikipedia.org/wiki/Wikipedia:Portada#/talk or rather here: https://es.m.wikipedia.org/wiki/Wikipedia_discusi%C3%B3n:Portada. Based on these, I think we can mark this as passed

ovasileva updated the task description. (Show Details)Mar 28 2019, 9:45 AM
Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptMar 2 2020, 6:39 PM